/*
 * SoundFormat.h
 *
 *  Created on: 24.01.2012
 *      Author: stefan.detter
 */

#ifndef SOUNDFORMAT_H_
#define SOUNDFORMAT_H_

#include "Sound.h"

#if USE_SOUND

#include <QAudioFormat>

class QFile;

class SoundFormat
{
public:
	SoundFormat(QFile* device);
	virtual ~SoundFormat();

	const QAudioFormat& format();
	const int 			offset();

private:
	QAudioFormat 	m_format;
	int 			m_offset;
};

#endif

#endif /* SOUNDFORMAT_H_ */
